echo OFF
set installpath=%~dp0
NET SESSION >nul 2>&1
IF %ERRORLEVEL% EQU 0 (
   echo adding firewall rules...
   netsh.exe advfirewall firewall add rule name="NextPVRServer" dir=in action=allow program="%installpath%NextPVRServer.exe" enable=yes > nul
   netsh.exe advfirewall firewall add rule name="NextPVRDeviceHostWindows" dir=in action=allow program="%installpath%DeviceHostWindows.exe" enable=yes > nul
   netsh.exe advfirewall firewall add rule name="NextPVR" dir=in action=allow program="%installpath%Client\NextPVR.exe" enable=yes > nul

   @echo off
   sc query | findstr /C:"SERVICE_NAME: NextPVR Service" 
   IF ERRORLEVEL 1 (
     echo installing service...   
     sc create "NextPVR Service" binpath= "%installpath%NextPVRService.exe" start= delayed-auto
   ) 
   IF ERRORLEVEL 0 (
     echo service already installed
   )

   echo.>"%installpath%NextPVRServer.exe":Zone.Identifier
   echo.>"%installpath%NextPVRService.exe":Zone.Identifier

   echo starting service...
   net start "NextPVR Service"
   echo will start web app setting soon...please wait
   ping 127.0.0.1 -n 10 > nul
   start "" http://127.0.0.1:8866/index.html
) ELSE (
   echo ######## ########  ########   #######  ########  
   echo ##       ##     ## ##     ## ##     ## ##     ## 
   echo ##       ##     ## ##     ## ##     ## ##     ## 
   echo ######   ########  ########  ##     ## ########  
   echo ##       ##   ##   ##   ##   ##     ## ##   ##   
   echo ##       ##    ##  ##    ##  ##     ## ##    ##  
   echo ######## ##     ## ##     ##  #######  ##     ## 
   echo.
   echo.
   echo ####### ERROR: ADMINISTRATOR PRIVILEGES REQUIRED #########
   echo This script must be run as administrator to work properly!  
   echo If you're seeing this after clicking on a start menu icon, 
   echo then right click on the shortcut and select "Run As Administrator".
   echo ##########################################################
   echo.
   PAUSE
   EXIT /B 1
)
@echo ON